org.firebirdsql.jdbc.parser

## Class JaybirdSqlBaseListener

- java.lang.Object
- - org.firebirdsql.jdbc.parser.JaybirdSqlBaseListener

All Implemented Interfaces:
  org.antlr.v4.runtime.tree.ParseTreeListener, JaybirdSqlListener

    public class JaybirdSqlBaseListener
    extends java.lang.Object
    implements JaybirdSqlListener

This class provides an empty implementation of `JaybirdSqlListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

### Constructor Summary

Constructors
Constructor and Description
`JaybirdSqlBaseListener()`

### Method Summary

Methods
`void` `enterAlias(JaybirdSqlParser.AliasContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.alias()`.
`void` `enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnName()`.
`void` `enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
`void` `enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void` `enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
`void` `enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.
`void` `enterMergeStatement(JaybirdSqlParser.MergeStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.mergeStatement()`.
`void` `enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.
`void` `enterReturningColumnList(JaybirdSqlParser.ReturningColumnListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningColumnList()`.
`void` `enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
`void` `enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.
`void` `enterStatement(JaybirdSqlParser.StatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.statement()`.
`void` `enterTableName(JaybirdSqlParser.TableNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.tableName()`.
`void` `enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
`void` `enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.
`void` `exitAlias(JaybirdSqlParser.AliasContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.alias()`.
`void` `exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnName()`.
`void` `exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
`void` `exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)`
`void` `exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
`void` `exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.
`void` `exitMergeStatement(JaybirdSqlParser.MergeStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.mergeStatement()`.
`void` `exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.
`void` `exitReturningColumnList(JaybirdSqlParser.ReturningColumnListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningColumnList()`.
`void` `exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
`void` `exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.
`void` `exitStatement(JaybirdSqlParser.StatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.statement()`.
`void` `exitTableName(JaybirdSqlParser.TableNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.tableName()`.
`void` `exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
`void` `exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.
`void` `visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)`
`void` `visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JaybirdSqlBaseListener

    public JaybirdSqlBaseListener()

### Method Detail

#### enterStatement

    public void enterStatement(JaybirdSqlParser.StatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.statement()`.

The default implementation does nothing.

Specified by:
  `enterStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitStatement

    public void exitStatement(JaybirdSqlParser.StatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.statement()`.

The default implementation does nothing.

Specified by:
  `exitStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterDeleteStatement

    public void enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

The default implementation does nothing.

Specified by:
  `enterDeleteStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitDeleteStatement

    public void exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

The default implementation does nothing.

Specified by:
  `exitDeleteStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterUpdateStatement

    public void enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.

The default implementation does nothing.

Specified by:
  `enterUpdateStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitUpdateStatement

    public void exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.

The default implementation does nothing.

Specified by:
  `exitUpdateStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterUpdateOrInsertStatement

    public void enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

The default implementation does nothing.

Specified by:
  `enterUpdateOrInsertStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitUpdateOrInsertStatement

    public void exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

The default implementation does nothing.

Specified by:
  `exitUpdateOrInsertStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterInsertStatement

    public void enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.

The default implementation does nothing.

Specified by:
  `enterInsertStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitInsertStatement

    public void exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.

The default implementation does nothing.

Specified by:
  `exitInsertStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterMergeStatement

    public void enterMergeStatement(JaybirdSqlParser.MergeStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.mergeStatement()`.

The default implementation does nothing.

Specified by:
  `enterMergeStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitMergeStatement

    public void exitMergeStatement(JaybirdSqlParser.MergeStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.mergeStatement()`.

The default implementation does nothing.

Specified by:
  `exitMergeStatement` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterReturningClause

    public void enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.

The default implementation does nothing.

Specified by:
  `enterReturningClause` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitReturningClause

    public void exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.

The default implementation does nothing.

Specified by:
  `exitReturningClause` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterSimpleIdentifier

    public void enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

The default implementation does nothing.

Specified by:
  `enterSimpleIdentifier` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitSimpleIdentifier

    public void exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

The default implementation does nothing.

Specified by:
  `exitSimpleIdentifier` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterFullIdentifier

    public void enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

The default implementation does nothing.

Specified by:
  `enterFullIdentifier` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitFullIdentifier

    public void exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

The default implementation does nothing.

Specified by:
  `exitFullIdentifier` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterTableName

    public void enterTableName(JaybirdSqlParser.TableNameContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.tableName()`.

The default implementation does nothing.

Specified by:
  `enterTableName` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitTableName

    public void exitTableName(JaybirdSqlParser.TableNameContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.tableName()`.

The default implementation does nothing.

Specified by:
  `exitTableName` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterReturningColumnList

    public void enterReturningColumnList(JaybirdSqlParser.ReturningColumnListContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.returningColumnList()`.

The default implementation does nothing.

Specified by:
  `enterReturningColumnList` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitReturningColumnList

    public void exitReturningColumnList(JaybirdSqlParser.ReturningColumnListContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.returningColumnList()`.

The default implementation does nothing.

Specified by:
  `exitReturningColumnList` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterColumnName

    public void enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.columnName()`.

The default implementation does nothing.

Specified by:
  `enterColumnName` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitColumnName

    public void exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.columnName()`.

The default implementation does nothing.

Specified by:
  `exitColumnName` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterAlias

    public void enterAlias(JaybirdSqlParser.AliasContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.alias()`.

The default implementation does nothing.

Specified by:
  `enterAlias` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitAlias

    public void exitAlias(JaybirdSqlParser.AliasContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.alias()`.

The default implementation does nothing.

Specified by:
  `exitAlias` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterSimpleValue

    public void enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.

The default implementation does nothing.

Specified by:
  `enterSimpleValue` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### exitSimpleValue

    public void exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.

The default implementation does nothing.

Specified by:
  `exitSimpleValue` in interface `JaybirdSqlListener`
Parameters:
  `ctx` - the parse tree

#### enterEveryRule

    public void enterEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### exitEveryRule

    public void exitEveryRule(org.antlr.v4.runtime.ParserRuleContext ctx)

The default implementation does nothing.

Specified by:
  `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### visitTerminal

    public void visitTerminal(org.antlr.v4.runtime.tree.TerminalNode node)

The default implementation does nothing.

Specified by:
  `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

#### visitErrorNode

    public void visitErrorNode(org.antlr.v4.runtime.tree.ErrorNode node)

The default implementation does nothing.

Specified by:
  `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`